library ieee;
use ieee.std_logic_1164.all;

package fifo_pkg is

	constant ZERO : std_logic_vector(31 downto 0) := (others => '0');

	type fifo_in_t is
	record
		data : std_logic_vector(31 downto 0);
		rdreq : std_logic;
		wrreq : std_logic;
	end record;
	constant FIFO_IN_NOP : fifo_in_t := (ZERO, '0', '0');

	type fifo_out_t is
	record
		empty : std_logic;
		full : std_logic;
		q : std_logic_vector(31 downto 0);
	end record;

end package;